
Automated Build Generator - Feature #1857
Provide a project type or an option to specify a project without any repository
04/24/2014 05:54 PM - J. Wienke

Status: Resolved Start date: 04/24/2014
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Processing Model Estimated time: 0.00 hour
Target version: 0.2
Description

Some projects do not need a repository or repository analysis is not required because of binary distributions. At least dependencies
should not be analyzed from the repository in case of binary artifacts.

E.g. rsbag-tools-cl-binary should not depend on anything.

Related issues:
Duplicated by Automated Build Generator - Feature # 1668: Support projects wi... Rejected 12/03/2013

Associated revisions
Revision 09563c0e - 04/25/2014 08:38 AM - J. Moringen

Support projects without repository via src/analysis/scm-null.lisp

fixes #1857

    -  src/analysis/scm-null.lisp: new file; contains analysis for projects
  without repository

    -  src/commandline-interface/main.lisp (analyze-project): permit
  repository variable to be absent

    -  jenkins.project.asd (system jenkins.project): added file
  src/analysis/scm-null.lisp

Revision 6abe39e0 - 04/25/2014 08:41 AM - J. Moringen

Only checkout required sub-directories in src/analysis/subversion.lisp

fixes #1857

    -  src/analysis/subversion.lisp (analyze uri eql :svn): for each branch,
  construct appropriate minimal checkout URL within the repository
  taking into account the branch/tag and potentially a sub-directory

History
#1 - 04/24/2014 05:54 PM - J. Wienke
- Category set to Processing Model

#2 - 04/25/2014 08:35 AM - J. Moringen
- Tracker changed from Bug to Feature
- Status changed from New to In Progress
#3 - 04/25/2014 09:30 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:09563c0e0eb3b3819f0b6a4dae4020addaf8766a.

#4 - 04/25/2014 12:54 PM - J. Moringen
- Target version set to 0.2

#5 - 04/25/2014 01:01 PM - J. Moringen
- Assignee set to J. Moringen
